'     Windows
'
' ------------------------------------------------------------------------
'                     (C)  Microsoft, 1996-1998
'
'   ,     , 
'  , ,    
'  (   )  , , 
'  Microsoft     , 
'          
' ------------------------------------------------------------------------
	
'      Windows  Microsoft Excel.

L_Welcome_MsgBox_Message_Text    = "     Windows  Microsoft Excel."
L_Welcome_MsgBox_Title_Text      = "   Windows"
Call Welcome()
    

' ********************************************************************************
' *
' *  Excel
' *
Dim objXL
Set objXL = WScript.CreateObject("Excel.Application")

objXL.Visible = TRUE

objXL.WorkBooks.Add

objXL.Columns(1).ColumnWidth = 20
objXL.Columns(2).ColumnWidth = 30
objXL.Columns(3).ColumnWidth = 40

objXL.Cells(1, 1).Value = ""
objXL.Cells(1, 2).Value = ""
objXL.Cells(1, 3).Value = ""

objXL.Range("A1:C1").Select
objXL.Selection.Font.Bold = True
objXL.Selection.Interior.ColorIndex = 1
objXL.Selection.Interior.Pattern = 1 'xlSolid
objXL.Selection.Font.ColorIndex = 2

objXL.Columns("B:B").Select
objXL.Selection.HorizontalAlignment = &hFFFFEFDD ' xlLeft

Dim intIndex
intIndex = 2

Sub Show(strName, strValue, strDesc)
    objXL.Cells(intIndex, 1).Value = strName
    objXL.Cells(intIndex, 2).Value = strValue
    objXL.Cells(intIndex, 3).Value = strDesc
    intIndex = intIndex + 1
    objXL.Cells(intIndex, 1).Select
End Sub

'
'   WScript
'
Call Show("Name",            WScript.Name,           " ")
Call Show("Version",         WScript.Version,        " ")
Call Show("FullName",        WScript.FullName,       " :  ")
Call Show("Path",            WScript.Path,           " :  ")
Call Show("Interactive",     WScript.Interactive,    "  ")


'
'    .
'
Dim colArgs
Set colArgs = WScript.Arguments
Call Show("Arguments.Count", colArgs.Count, "   ")

For i = 0 to colArgs.Count - 1
    objXL.Cells(intIndex, 1).Value = "Arguments(" & i & ")"
    objXL.Cells(intIndex, 2).Value = colArgs(i)
    intIndex = intIndex + 1
    objXL.Cells(intIndex, 1).Select
Next



' ********************************************************************************
' *
' * 
' *
Sub Welcome()
    Dim intDoIt

    intDoIt =  MsgBox(L_Welcome_MsgBox_Message_Text, _
                      vbOKCancel + vbInformation,    _
                      L_Welcome_MsgBox_Title_Text )
    If intDoIt = vbCancel Then
        WScript.Quit
    End If
End Sub

