'     Windows
'
' ------------------------------------------------------------------------
'                     (C)  Microsoft, 1996-1998
'
'   ,     , 
'  , ,    
'  (   )  , , 
'  Microsoft     , 
'          
' ------------------------------------------------------------------------
'
'      WSHNetwork.
'       (   ), 
' ,     .


L_Welcome_MsgBox_Message_Text   = "     WSHNetwork."
L_Welcome_MsgBox_Title_Text     = "   Windows"
Call Welcome()

' ********************************************************************************
' *
' *  WSH Network.
' *

Dim WSHNetwork
Dim colDrives, SharePoint
Dim CRLF

CRLF = Chr(13) & Chr(10)
Set WSHNetwork = WScript.CreateObject("WScript.Network")


Function Ask(strAction)

   '       
   '  ""      
   '  ,     .    
   '      .

    Dim intButton
    intButton = MsgBox(strAction,                   _
                       vbQuestion + vbYesNo,        _
                       L_Welcome_MsgBox_Title_Text )
    Ask = intButton = vbYes
End Function

' **************************************************
' *
' *    WSHNetwork
' *
' *
MsgBox "UserDomain"     & Chr(9) & "= " & WSHNetwork.UserDomain  & CRLF &   _
       "UserName"       & Chr(9) & "= " & WSHNetwork.UserName    & CRLF &   _
       "ComputerName"   & Chr(9) & "= " & WSHNetwork.ComputerName,          _
       vbInformation + vbOKOnly,                                            _
       " WSHNetwork"

' **************************************************
' *
' * WSHNetwork.AddNetworkDrive
' *
' *

Function TryMapDrive(intDrive, strShare)
    Dim strDrive
    strDrive = Chr(intDrive + 64) & ":"
    On Error Resume Next
    WSHNetwork.MapNetworkDrive strDrive, strShare
    TryMapDrive = Err.Number = 0
End Function

If Ask("  ?") Then
    strShare = InputBox("    ")
    For intDrive = 26 To 5 Step -1
        If TryMapDrive(intDrive, strShare) Then Exit For
    Next

    If intDrive <= 5 Then
        MsgBox "     . "                & _
               "   . "                        & _
               CRLF                                                          & _
               "     "                 & _
               "   . ",                                 _
               vbExclamation + vbOkOnly,        _
               L_Welcome_MsgBox_Title_Text
    Else
        strDrive = Chr(intDrive + 64) & ":"
        MsgBox " " & strShare & "    " & strDrive,   _
               vbInformation + vbOkOnly,                                   _
               L_Welcome_MsgBox_Title_Text

        If Ask("    ?") Then
            WSHNetwork.RemoveNetworkDrive strDrive

            MsgBox " " & strDrive & " ",        _
                   vbInformation + vbOkOnly,                _
                   L_Welcome_MsgBox_Title_Text
        End If
    End If
End If


' **************************************************
' *
' * WSHNetwork.EnumNetworkDrive
' *
' *
'    
If Ask("   ?") Then
    '      WshCollection
    Set colDrives = WSHNetwork.EnumNetworkDrives

    '        ,
    '  ,  -    
    If colDrives.Count = 0 Then
        MsgBox "       .",     _
               vbInformation + vbOkOnly,                _
               L_Welcome_MsgBox_Title_Text
    Else
        strMsg = "  : " & CRLF
        For i = 0 To colDrives.Count - 1 Step 2
            strMsg = strMsg & CRLF & colDrives(i) & Chr(9) & colDrives(i + 1)
        Next
        
        MsgBox strMsg,                                  _
               vbInformation + vbOkOnly,                _
               L_Welcome_MsgBox_Title_Text

    End If
End If

' ********************************************************************************
' *
' * 
' *
Sub Welcome()
    Dim intDoIt

    intDoIt =  MsgBox(L_Welcome_MsgBox_Message_Text, _
                      vbOKCancel + vbInformation,    _
                      L_Welcome_MsgBox_Title_Text )
    If intDoIt = vbCancel Then
        WScript.Quit
    End If
End Sub


