//     Windows
//
// ------------------------------------------------------------------------
//                     (C)  Microsoft, 1996-1998
//
//   ,     , 
//  , ,    
//  (   )  , , 
//  Microsoft     , 
//          
// ------------------------------------------------------------------------

//      Windows  Microsoft Excel.


var vbOKCancel = 1;
var vbInformation = 64;
var vbCancel = 2;

var L_Welcome_MsgBox_Message_Text    = "     Windows  Microsoft Excel.";
var L_Welcome_MsgBox_Title_Text      = "   Windows";
Welcome();
    

//////////////////////////////////////////////////////////////////////////////////
//
//  Excel
//
var objXL = WScript.CreateObject("Excel.Application");

objXL.Visible = true;

objXL.WorkBooks.Add;

objXL.Columns(1).ColumnWidth = 20;
objXL.Columns(2).ColumnWidth = 30;
objXL.Columns(3).ColumnWidth = 40;

objXL.Cells(1, 1).Value = "";
objXL.Cells(1, 2).Value = "";
objXL.Cells(1, 3).Value = "";

objXL.Range("A1:C1").Select;
objXL.Selection.Font.Bold = true;
objXL.Selection.Interior.ColorIndex = 1;
objXL.Selection.Interior.Pattern = 1; //xlSolid
objXL.Selection.Font.ColorIndex = 2;

objXL.Columns("B:B").Select;
objXL.Selection.HorizontalAlignment = -4131; // xlLeft

var intIndex = 2;

function Show(strName, strValue, strDesc) {
    objXL.Cells(intIndex, 1).Value = strName;
    objXL.Cells(intIndex, 2).Value = strValue;
    objXL.Cells(intIndex, 3).Value = strDesc;
    intIndex++;
    objXL.Cells(intIndex, 1).Select;
}

//
//   WScript
//
Show("Name",            WScript.Name,           " ");
Show("Version",         WScript.Version,        " ");
Show("FullName",        WScript.FullName,       " :  ");
Show("Path",            WScript.Path,           " :  ");
Show("Interactive",     WScript.Interactive,    "  ");


//
//    .
//
var colArgs = WScript.Arguments
Show("Arguments.Count", colArgs.length, "   ");

for (i = 0; i < colArgs.length; i++) {
    objXL.Cells(intIndex, 1).Value = "Arguments(" + i + ")";
    objXL.Cells(intIndex, 2).Value = colArgs(i);
    intIndex++;
    objXL.Cells(intIndex, 1).Select;
}


//////////////////////////////////////////////////////////////////////////////////
//
// 
//
function Welcome() {
    var WSHShell = WScript.CreateObject("WScript.Shell");
    var intDoIt;

    intDoIt =  WSHShell.Popup(L_Welcome_MsgBox_Message_Text,
                              0,
                              L_Welcome_MsgBox_Title_Text,
                              vbOKCancel + vbInformation );
    if (intDoIt == vbCancel) {
        WScript.Quit();
    }
}

